=== examples/CMakeLists.txt ===
add_subdirectory(channels)
add_subdirectory(coordinates)
add_subdirectory(raycasting)
add_subdirectory(hdf5features)
