=== examples/coordinates/CMakeLists.txt ===
#####################################################################################
# Package includes
#####################################################################################


#####################################################################################
# Add executable
#####################################################################################
add_executable(lvr2_examples_coordinates
    Main.cpp
)

target_link_libraries(lvr2_examples_coordinates
    lvr2_static
)
