=== ext/QVTKOpenGLWidget/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

# set include dirs
set(QVTK_PATCHED_INSTALL_INCLUDE_DIR ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_INCLUDEDIR}/lvr2/ext/QVTKOpenGLWidget CACHE PATH "install location of nanoflann headers")
find_path(QVTK_PATCHED_INCLUDE_DIR QVTKOpenGLWidget.h PATH .)
mark_as_advanced(QVTK_PATCHED_INCLUDE_DIR QVTK_PATCHED_INSTALL_INCLUDE_DIR)

install(DIRECTORY . DESTINATION ${QVTK_PATCHED_INSTALL_INCLUDE_DIR}
  FILES_MATCHING PATTERN "*.hpp")
