=== debian/control ===
Source: ros-melodic-lvr2
Section: misc
Priority: optional
Maintainer: Sebastian Pütz <spuetz@uos.de>
Build-Depends: debhelper (>= 9.0.0), cmake, freeglut3-dev, libboost-all-dev, libeigen3-dev, libflann-dev, libgsl-dev, libhdf5-dev, liblz4-dev, libopencv-dev, libqt5opengl5-dev, libvtk6-dev, libvtk6-qt-dev, libxi-dev, libxmu-dev, libyaml-cpp-dev, ocl-icd-opencl-dev, qtbase5-dev
Homepage: https://www.las-vegas.uni-osnabrueck.de/
Standards-Version: 3.9.2

Package: ros-melodic-lvr2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeglut3-dev, libboost-all-dev, libeigen3-dev, libflann-dev, libgsl-dev, libhdf5-dev, liblz4-dev, libopencv-dev, libqt5opengl5-dev, libvtk6-dev, libvtk6-qt-dev, libxi-dev, libxmu-dev, libyaml-cpp-dev, ocl-icd-opencl-dev, qtbase5-dev
Description: The Las Vegas Surface Reconstruction Toolkit is an Open Source toolkit to reconstruct triangle meshes from unordered point clouds.
 It supports the generation of textured models either using colored point clouds or point clouds plus images and according calibration matrices. The LVR toolkit provides an Open Source C++ API for meshing and texture generation as well as an I/O interface to store the generated meshes in different exchange formats including Stanford PLY, Wavefront OBJ and Collada. In contrast to other meshing software, it focuses on reconstruction of large scale environments on city scale from high resolution point clouds.
